For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
      • GETList all employees
      • POSTCreate an employee
      • GETRetrieve an employee
      • PUTUpdate an employee
      • POSTOffboard an employee
      • POSTCancel offboarding an employee
    • Contribution Reports
    • Events and Webhooks
    • API Errors
Get access
LogoLogo
API ReferenceEmployees

List all employees

GET
/employees
GET
/employees
$curl -G https://test.api.kota.io/employees \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d employer_id=er_3b1333d87d9d4fd6ad83ba7f6b0e951a
1{
2 "items": [
3 {
4 "first_name": "Emily",
5 "last_name": "Johnson",
6 "date_of_birth": "1985-07-23",
7 "sex_at_birth": "female",
8 "national_tax_id": "1234567T",
9 "phone_number": "+353871234567",
10 "email": "emily.johnson@example.com",
11 "platform_id": "pt_9f8e7d6c5b4a3210fedcba9876543210",
12 "id": "ee_1a2b3c4d5e6f7890abcdef1234567890",
13 "employer_id": "er_4f5e6d7c8b9a0123fedcba9876543210",
14 "status": "active",
15 "external_customer_id": "cust_7890abcdef123456",
16 "home_address": {
17 "line1": "123 Maple Street",
18 "city": "Dublin",
19 "postal_code": "D02 Y006",
20 "country_code": "ie",
21 "line2": "Apt 4B"
22 },
23 "nationality": "ie",
24 "start_on": "2023-05-01",
25 "earliest_benefits_start_date": "2023-05-01",
26 "metadata": {
27 "department": "Marketing",
28 "employee_level": "Senior"
29 },
30 "object": "employee"
31 },
32 {
33 "first_name": "Michael",
34 "last_name": "Smith",
35 "date_of_birth": "1990-11-15",
36 "sex_at_birth": "male",
37 "national_tax_id": "AB123456C",
38 "phone_number": "+447700900999",
39 "email": "michael.smith@example.co.uk",
40 "platform_id": "pt_0a1b2c3d4e5f6789abcdef0123456789",
41 "id": "ee_0987fedcba6543210abcdef123456789",
42 "employer_id": "er_4f5e6d7c8b9a0123fedcba9876543210",
43 "status": "pending",
44 "external_customer_id": "cust_7890abcdef123456",
45 "nationality": "gb",
46 "start_on": "2024-01-15",
47 "earliest_benefits_start_date": "2024-01-15",
48 "metadata": {
49 "department": "Engineering",
50 "employee_level": "Junior"
51 },
52 "object": "employee"
53 }
54 ],
55 "page": 1,
56 "page_size": 2,
57 "total_count": 25,
58 "has_next_page": true,
59 "has_previous_page": false
60}

Returns a list of an employer’s employees. The employees are returned sorted by creation date, with the most recent employees appearing first.

Previous

Offboard an employer

Next

Create an employee

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Query parameters

filterstringOptional

Multiple values can be provided by separating them with a comma. Allowed values are: pending, active, offboarding, inactive, restricted.

employer_idstringRequiredformat: "er_.+"
external_customer_idstringOptional
pageintegerOptional
The page of results to return. Defaults to 1 if not provided.
page_sizeintegerOptional
The number of results to return per page. Defaults to 10 if not provided. Maximum value is 100.

Response

OK
itemslist of objects
A paginated array containing the response elements
pageinteger
The current page of the results
page_sizeinteger
The number of results on this page. This can be different from the requested page size if the total number of results is less than the requested page size
total_countinteger
The total number of elements available in the response. This is the total number of elements available across all pages, not just the current page.
has_next_pagebooleanRead-only
Whether there are more pages available after this page
has_previous_pagebooleanRead-only
Whether there are more pages available before this page

Errors

400
Bad Request Error